/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
#ifndef dctfile_h
#define dctfile_h

#include <InterViews/filechooser.h>

#define FDIAL_BAD	0
#define FDIAL_CANCEL	1
#define FDIAL_NORMAL	2
#define FDIAL_DB	3
#define FDIAL_DBD	4
#define FDIAL_VDB	5
#define FDIAL_INVALID	6

class FileDialog: public FileChooser
{
public:
	FileDialog(const char*, const char*);
	virtual ~FileDialog();

	int GetSaveName(char*& rname);
	int GetOpenName(char*& rname);
	void SetTextFilter(const char* f);
	void Update(void);
private:
	static char* loc;
	static int loc_mod;
};

#endif

